commit:     44a0b20212979b77b3044f1e6cc1ec3301510d38
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 19 21:31:50 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 19 21:53:18 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44a0b202

dev-python/google-auth: Bump to 2.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/google-auth/Manifest                 |  1 +
 dev-python/google-auth/google-auth-2.0.1.ebuild | 50 +++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 4ff5d583d2b..6afb2ca440e 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -2,3 +2,4 @@ DIST google-auth-1.32.1.tar.gz 171621 BLAKE2B 
e82f4666a38d3dbaa4aa4a4d5192afb711
 DIST google-auth-1.34.0.tar.gz 180860 BLAKE2B 
d536d689ff5b0c033f787228d643504d1888f0b73a9c6855fe4fae3af20772ef0640feca39c58c39f45681561dce6d5f3ec1d1f7d9699442fff0ec63fd019361
 SHA512 
7c3b64e8f85056fb660bbfd4f737053813a1e5b8aba52290882a0ddb9d9fd8c5365b767c78dd1e7859ef95caa6e653786d5a8747c8792bbee9c6fad1a5218910
 DIST google-auth-1.35.0.tar.gz 181504 BLAKE2B 
3994650c1931f98bebe3299a61660462370c81db4f281bf67db5fc41ec8964a50b7cde1a72b9c8d34a9220a9f6018608b83705cb6e853cd1797740b569023555
 SHA512 
7dcaa202b36e18679ea85ffbb1fdb204f1a5b28eabf158dbde96e1a783b034bf424b801ba63609678bb275a2bbf92aedf019e6dec06fc90f5968e3d5d41191f0
 DIST google-auth-2.0.0.tar.gz 180337 BLAKE2B 
e262ba19e41a8216c8ccc7f50ce9beb25764809853e9dc49900c7edacee4adfe255d307a503768ed257f9843ded01620aeff89e4cf0e9abf8e987e75f0eef8a5
 SHA512 
21f7adfd07ef5abe2dc2da9fb2b5c660157be6645b039510e14e3f80f6e39561f2a679c7e948d14ca96173da87c920adbfaaeb4c4877e8504bec638b318528cd
+DIST google-auth-2.0.1.tar.gz 180467 BLAKE2B 
a7490931ea8cdec0978103d9bb4da11bebff1e623d847db5fb30a0a7ef1827902b4d5683835631b645e61d4282614e3efc798bedc13a581ba35d51838a64ff96
 SHA512 
a68f78a7d67beb4d3d00333f6953decd92e1d346aee6491c401ee091d2fb4bbac47b9ecc46f7063119724a49f15ea13c096994e5266d30975500194b9c4a9df0

diff --git a/dev-python/google-auth/google-auth-2.0.1.ebuild 
b/dev-python/google-auth/google-auth-2.0.1.ebuild
new file mode 100644
index 00000000000..cd44f928efd
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.0.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+       https://github.com/googleapis/google-auth-library-python/
+       https://pypi.org/project/google-auth/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/cachetools-2.0.0[${PYTHON_USEDEP}]
+       dev-python/namespace-google[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+       >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+       "
+BDEPEND="
+       test? (
+               dev-python/cryptography[${PYTHON_USEDEP}]
+               dev-python/flask[${PYTHON_USEDEP}]
+               dev-python/freezegun[${PYTHON_USEDEP}]
+               dev-python/grpcio[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/moto[${PYTHON_USEDEP}]
+               dev-python/oauth2client[${PYTHON_USEDEP}]
+               dev-python/pyopenssl[${PYTHON_USEDEP}]
+               dev-python/pytest-localserver[${PYTHON_USEDEP}]
+               dev-python/pyu2f[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/responses[${PYTHON_USEDEP}]
+               dev-python/urllib3[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${ED}" -name '*.pth' -delete || die
+}

Reply via email to